
local SCAVENGER = Bot.Template("SCAVENGER", "KYRMIR_SCAVENGER"); 

SCAVENGER.setLevel(0);
SCAVENGER.setMagicLevel(0);

SCAVENGER.setHealth(50);
SCAVENGER.setRespawnTime(60);

SCAVENGER.setDamage(DAMAGE_EDGE, 25);

SCAVENGER.setProtection(DAMAGE_EDGE, 0);
SCAVENGER.setProtection(DAMAGE_BLUNT, 500);
SCAVENGER.setProtection(DAMAGE_FIRE, 0);
SCAVENGER.setProtection(DAMAGE_MAGIC, 10);
SCAVENGER.setProtection(DAMAGE_POINT, 20);

// Fight system
SCAVENGER.setWarnTime(6);
SCAVENGER.setHitDistance(240);
SCAVENGER.setChaseDistance(1800);
SCAVENGER.setDetectionDistance(1200);
SCAVENGER.setAttackSpeed(1800);

SCAVENGER.setInitiativeFunction(STANDARD_ANIMAL_AI);

SCAVENGER.setRoutineFunction(function(bot)
{
    if(bot.getLastAni() == "S_FISTWALKL")
    {
        bot.setAngle(random(0, 360));

        switch(random(0, 4))
        {
            case 0: bot.playAni("R_ROAM1"); break;				
            case 1: bot.playAni("R_ROAM2"); break;
            case 2: bot.playAni("R_ROAM3"); break;
            case 3: bot.playAni("T_STAND_2_EAT"); break;	
            case 4: bot.playAni("T_PERCEPTION"); break;	
        }
    }
    else
    {
        local position = bot.getPosition(), respawn = bot.getRespawnPosition();

        if(getDistance2d(position.x, position.z, respawn.x, respawn.z) > 400)
        {   
            local vector = getVectorAngle(position.x, position.z, respawn.x, respawn.z);
                bot.setAngle(vector);
        }

        bot.playAni("S_FISTWALKL");			
    }
}
, 8);

registerMonsterTemplate("KYRMIR_SCAVENGER", SCAVENGER);

// Drop
registerMonsterReward("KYRMIR_SCAVENGER", Reward.Content(50)
    .addDrop(Reward.Drop("ITMI_GOLD", 35, 35))
);

// Spawnlist
spawnBot(SCAVENGER, -28638, -931, 14368, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -29250, -889, 13049, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -31778, -1004, 12038, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -30099, -817, 12020, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -27494, -797, 14654, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26731, -795, 13858, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -33163, -115, 10061, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -32669, -149, 10077, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -33815, -265, 10392, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -28152, -838, 11105, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -29352, -811, 11905, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26894, -798, 13810, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26069, -810, 14911, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26014, -637, 9855, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26069, -615, 9722, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -30540, -599, 9642, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -30454, -582, 9637, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -32894, -144, 10170, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -30378, -845, 12878, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -30250, -913, 15175, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -29505, -924, 15173, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -28601, -919, 15418, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -32621, -229, 7190, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -32187, -197, 7190, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -24937, -884, 14921, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -25591, -481, 9578, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -23778, -229, 8808, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -28663, -936, 15324, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -27743, -809, 14810, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26498, -907, 15936, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -25758, -813, 14983, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26441, -862, 15503, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -27027, -836, 15216, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -29224, -892, 13161, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -29008, -823, 10304, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -28150.9, -812.734, 9939.41, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -26610, -921, 11923, "ADDONWORLD.ZEN");
spawnBot(SCAVENGER, -24759, -847, 14207, "ADDONWORLD.ZEN");

spawnBot(SCAVENGER, 10057, -1302, 8983, "COLONY.ZEN");
spawnBot(SCAVENGER, 11559, -704, 8267, "COLONY.ZEN");
spawnBot(SCAVENGER, 10949, 105, 3583, "COLONY.ZEN");
spawnBot(SCAVENGER, 10218.6, -78.7589, 3048.43, "COLONY.ZEN");
spawnBot(SCAVENGER, 10286.7, -125.549, 3703.01, "COLONY.ZEN");
spawnBot(SCAVENGER, 10145, -386, -675, "COLONY.ZEN");
spawnBot(SCAVENGER, 10291, -119, -4123, "COLONY.ZEN");
spawnBot(SCAVENGER, -29069, -635, 19242, "COLONY.ZEN");
spawnBot(SCAVENGER, -26512, -619, 19528, "COLONY.ZEN");
spawnBot(SCAVENGER, -35019.1, 322.919, 22889.4, "COLONY.ZEN");
spawnBot(SCAVENGER, -8531, -1305, 5910, "COLONY.ZEN");
spawnBot(SCAVENGER, -6558, -1276, 6553, "COLONY.ZEN");
spawnBot(SCAVENGER, -13148, -748, 7053, "COLONY.ZEN");
spawnBot(SCAVENGER, -6621, -1038, 12981, "COLONY.ZEN");
spawnBot(SCAVENGER, -7938, -479, 10950, "COLONY.ZEN");
spawnBot(SCAVENGER, -9932, -206, 14658, "COLONY.ZEN");
spawnBot(SCAVENGER, 5703.42, -1352.88, 6697.48, "COLONY.ZEN");
spawnBot(SCAVENGER, -24900, -314, 16516, "COLONY.ZEN");
spawnBot(SCAVENGER, -25763, -263, 15912, "COLONY.ZEN");
spawnBot(SCAVENGER, -31398, 734, 12296, "COLONY.ZEN");
spawnBot(SCAVENGER, -11983, -915, 6650, "COLONY.ZEN");
spawnBot(SCAVENGER, -14426, -707, 7949, "COLONY.ZEN");
spawnBot(SCAVENGER, -10693, -550, 2771, "COLONY.ZEN");
spawnBot(SCAVENGER, -10891, -629, -214, "COLONY.ZEN");
spawnBot(SCAVENGER, -10253, -676, -559, "COLONY.ZEN");
spawnBot(SCAVENGER, -11308, -785, -2111, "COLONY.ZEN");
spawnBot(SCAVENGER, -10502, -649, -794, "COLONY.ZEN");
spawnBot(SCAVENGER, -12894, -1302, -3307, "COLONY.ZEN");
spawnBot(SCAVENGER, -10161, -629, -6512, "COLONY.ZEN");
spawnBot(SCAVENGER, -11315, -427, -6963, "COLONY.ZEN");
spawnBot(SCAVENGER, -9126, -620, -6478, "COLONY.ZEN");
spawnBot(SCAVENGER, -8654, -293, -8111, "COLONY.ZEN");
spawnBot(SCAVENGER, -6601, -264, -9719, "COLONY.ZEN");
spawnBot(SCAVENGER, -6433, -545, -8364, "COLONY.ZEN");
spawnBot(SCAVENGER, -116, -871, -10020, "COLONY.ZEN");
spawnBot(SCAVENGER, -146, -926, -9629, "COLONY.ZEN");
spawnBot(SCAVENGER, 171, -952, -9021, "COLONY.ZEN");
spawnBot(SCAVENGER, 6544, 25, -10630, "COLONY.ZEN");
spawnBot(SCAVENGER, 6663, -554, -7831, "COLONY.ZEN");
spawnBot(SCAVENGER, 7622, -783, -6451, "COLONY.ZEN");
spawnBot(SCAVENGER, 10606, 214, -10778, "COLONY.ZEN");
spawnBot(SCAVENGER, 11928, 560, -11904, "COLONY.ZEN");
spawnBot(SCAVENGER, 8093, -975, -4717, "COLONY.ZEN");
spawnBot(SCAVENGER, 8641, -1069, -3189, "COLONY.ZEN");
spawnBot(SCAVENGER, 8660, -1097, -1954, "COLONY.ZEN");
spawnBot(SCAVENGER, 12872, 166.33, 3366, "COLONY.ZEN");
spawnBot(SCAVENGER, 13995, 151, 4333, "COLONY.ZEN");
spawnBot(SCAVENGER, 18480, -112, 5440, "COLONY.ZEN");
spawnBot(SCAVENGER, 17163, 169, 4609, "COLONY.ZEN");
spawnBot(SCAVENGER, 16816, 269, 3441, "COLONY.ZEN");
spawnBot(SCAVENGER, 18328, -38, 4266, "COLONY.ZEN");
spawnBot(SCAVENGER, 19445, -874, 3745, "COLONY.ZEN");
spawnBot(SCAVENGER, 18944, -159, 5526, "COLONY.ZEN");
spawnBot(SCAVENGER, 19787, -281, 5792, "COLONY.ZEN");
spawnBot(SCAVENGER, 6543, -1246, 8862, "COLONY.ZEN");
spawnBot(SCAVENGER, 6716, -1298, 8158, "COLONY.ZEN");
spawnBot(SCAVENGER, -1124, -1101, 8131, "COLONY.ZEN");
spawnBot(SCAVENGER, -2062, -1151, 8902, "COLONY.ZEN");
spawnBot(SCAVENGER, -792, -1351, 10005, "COLONY.ZEN");
spawnBot(SCAVENGER, -4558, -1361, 9096, "COLONY.ZEN");
spawnBot(SCAVENGER, -5459, -1390, 11164, "COLONY.ZEN");
spawnBot(SCAVENGER, -4654, -1327, 10916, "COLONY.ZEN");
spawnBot(SCAVENGER, -3615, -1403, 12082, "COLONY.ZEN");
spawnBot(SCAVENGER, -5241, -980, 14563, "COLONY.ZEN");
spawnBot(SCAVENGER, -5779.95, -669.992, 16327.4, "COLONY.ZEN");
spawnBot(SCAVENGER, -6229.5, -518.845, 17042.4, "COLONY.ZEN");
spawnBot(SCAVENGER, -6587.69, -513.551, 17155.9, "COLONY.ZEN");
spawnBot(SCAVENGER, -7362, -891, 14168, "COLONY.ZEN");
spawnBot(SCAVENGER, -8431, -966, 13534, "COLONY.ZEN");
spawnBot(SCAVENGER, 5011.27, 7132.99, 23741.7, "COLONY.ZEN");
spawnBot(SCAVENGER, 6140.42, 6878.4, 23097, "COLONY.ZEN");
spawnBot(SCAVENGER, -11453, -719, 11882, "COLONY.ZEN");
spawnBot(SCAVENGER, -11091, -743, 11623, "COLONY.ZEN");
spawnBot(SCAVENGER, -12440, -614, 12132, "COLONY.ZEN");
spawnBot(SCAVENGER, -12699, -592, 11045, "COLONY.ZEN");
spawnBot(SCAVENGER, -14397, -515, 10521, "COLONY.ZEN");
spawnBot(SCAVENGER, -14553, -488, 10687, "COLONY.ZEN");
spawnBot(SCAVENGER, -12894, -602, 15163, "COLONY.ZEN");
spawnBot(SCAVENGER, -9978, -476, 16598, "COLONY.ZEN");
spawnBot(SCAVENGER, -11026, -242, 17657, "COLONY.ZEN");
spawnBot(SCAVENGER, -10631, -147, 19138, "COLONY.ZEN");
spawnBot(SCAVENGER, -9028, -558, 19150, "COLONY.ZEN");
spawnBot(SCAVENGER, -10501, -33, 19999, "COLONY.ZEN");
spawnBot(SCAVENGER, -8342, -455, 17547, "COLONY.ZEN");
spawnBot(SCAVENGER, -13468, 59, 19507, "COLONY.ZEN");
spawnBot(SCAVENGER, -23608, -36, 19769, "COLONY.ZEN");
spawnBot(SCAVENGER, -23935.7, -793.526, 18849.3, "COLONY.ZEN");
spawnBot(SCAVENGER, -24567, -654, 19762, "COLONY.ZEN");
spawnBot(SCAVENGER, -26541, -574, 19223, "COLONY.ZEN");
spawnBot(SCAVENGER, -32301.2, 614.222, 16220, "COLONY.ZEN");
spawnBot(SCAVENGER, -30653.1, -125.727, 18460, "COLONY.ZEN");
spawnBot(SCAVENGER, -30343, -456.75, 19349.2, "COLONY.ZEN");
spawnBot(SCAVENGER, -31035, -644, 20411, "COLONY.ZEN");
spawnBot(SCAVENGER, -29076, -876, 20938, "COLONY.ZEN");
spawnBot(SCAVENGER, -21500, -163, 14971, "COLONY.ZEN");
spawnBot(SCAVENGER, -30771, 893, 10830, "COLONY.ZEN");
spawnBot(SCAVENGER, -29487, 839, 10438, "COLONY.ZEN");
spawnBot(SCAVENGER, -29693, 926, 9921, "COLONY.ZEN");
spawnBot(SCAVENGER, -30655, 917, 9046, "COLONY.ZEN");
spawnBot(SCAVENGER, -30130, 818, 8006, "COLONY.ZEN");
spawnBot(SCAVENGER, -31738, 896, 8030, "COLONY.ZEN");
spawnBot(SCAVENGER, -28995, -713, 9996, "COLONY.ZEN");
spawnBot(SCAVENGER, -33958, 453, 5810, "COLONY.ZEN");
spawnBot(SCAVENGER, -36550, 618, 3634, "COLONY.ZEN");
spawnBot(SCAVENGER, -34210, 344, 2280, "COLONY.ZEN");
spawnBot(SCAVENGER, -34787, 368, 2889, "COLONY.ZEN");
spawnBot(SCAVENGER, -36426, 448, 2748, "COLONY.ZEN");
spawnBot(SCAVENGER, -36180, 317, 2060, "COLONY.ZEN");
spawnBot(SCAVENGER, -37497, 80, -924, "COLONY.ZEN");
spawnBot(SCAVENGER, -37722, 79, -1451, "COLONY.ZEN");
spawnBot(SCAVENGER, -39558, 224, -954, "COLONY.ZEN");
spawnBot(SCAVENGER, -38013, 105, -3032, "COLONY.ZEN");
spawnBot(SCAVENGER, -40752, 97, -2625, "COLONY.ZEN");
spawnBot(SCAVENGER, -41847, 390, -2986, "COLONY.ZEN");
spawnBot(SCAVENGER, -39050, 952, 5294, "COLONY.ZEN");
spawnBot(SCAVENGER, -38143, 818, 4484, "COLONY.ZEN");
spawnBot(SCAVENGER, -38947, 769, 3772, "COLONY.ZEN");
spawnBot(SCAVENGER, -20084, -882, 1101, "COLONY.ZEN");
spawnBot(SCAVENGER, -19010, -852, 1844, "COLONY.ZEN");
spawnBot(SCAVENGER, -20955, -374, 2413, "COLONY.ZEN");
spawnBot(SCAVENGER, -18960, -668, 2848, "COLONY.ZEN");
spawnBot(SCAVENGER, -29838, 646, 4992, "COLONY.ZEN");
spawnBot(SCAVENGER, -30015, 694, 5378, "COLONY.ZEN");
spawnBot(SCAVENGER, -14533, -1273, 1699, "COLONY.ZEN");
spawnBot(SCAVENGER, -11935, -1406, 832, "COLONY.ZEN");
spawnBot(SCAVENGER, -13711, -1919, 89, "COLONY.ZEN");
spawnBot(SCAVENGER, -13544, -1982, -686, "COLONY.ZEN");
spawnBot(SCAVENGER, 2545, 1725.21, 18931, "COLONY.ZEN");
spawnBot(SCAVENGER, 1926.74, 2669.63, 21077.1, "COLONY.ZEN");
spawnBot(SCAVENGER, 1411, 2954, 22470, "COLONY.ZEN");
spawnBot(SCAVENGER, 26903, -44, 6310, "COLONY.ZEN");
spawnBot(SCAVENGER, 35040.6, -649.174, 8564.01, "COLONY.ZEN");
spawnBot(SCAVENGER, 34234, -510, 8146, "COLONY.ZEN");
spawnBot(SCAVENGER, 46548.1, -854.9, 7114.16, "COLONY.ZEN");
spawnBot(SCAVENGER, 46634.5, -867.538, 7784.7, "COLONY.ZEN");
spawnBot(SCAVENGER, 46595.4, -740.728, 6276.83, "COLONY.ZEN");
spawnBot(SCAVENGER, 46385.7, -815.96, 6891.68, "COLONY.ZEN");
spawnBot(SCAVENGER, 48351, -479, 846, "COLONY.ZEN");
spawnBot(SCAVENGER, 48282.6, -476.781, 320.354, "COLONY.ZEN");
spawnBot(SCAVENGER, 48830, -605, 323, "COLONY.ZEN");
spawnBot(SCAVENGER, 48463, -524, 911, "COLONY.ZEN");
spawnBot(SCAVENGER, 48702, -606, 828, "COLONY.ZEN");
spawnBot(SCAVENGER, 48036.9, -447.48, 1007.86, "COLONY.ZEN");
spawnBot(SCAVENGER, 47692, -371, 832, "COLONY.ZEN");
spawnBot(SCAVENGER, 47848, -397, 686, "COLONY.ZEN");
spawnBot(SCAVENGER, 47951.2, -413.597, 505.595, "COLONY.ZEN");
spawnBot(SCAVENGER, 42211.7, 90.4206, -795.63, "COLONY.ZEN");
spawnBot(SCAVENGER, 42546.6, 77.9097, -1066.31, "COLONY.ZEN");
spawnBot(SCAVENGER, 37165.8, 168.842, 1485.06, "COLONY.ZEN");
spawnBot(SCAVENGER, 37523.1, 292.662, 941.148, "COLONY.ZEN");
spawnBot(SCAVENGER, 36094.7, 156.584, 1468.73, "COLONY.ZEN");
spawnBot(SCAVENGER, 34497.9, 100.781, 2365.26, "COLONY.ZEN");
spawnBot(SCAVENGER, 34727.8, 76.83, 2463.2, "COLONY.ZEN");
spawnBot(SCAVENGER, 35961, 69, 3282, "COLONY.ZEN");
spawnBot(SCAVENGER, 22450, -162, 1032, "COLONY.ZEN");
spawnBot(SCAVENGER, 22023, -84, 361, "COLONY.ZEN");
spawnBot(SCAVENGER, 20480, -48, 211, "COLONY.ZEN");
spawnBot(SCAVENGER, 19037, 126, -810, "COLONY.ZEN");
spawnBot(SCAVENGER, 19150, 965, -2873, "COLONY.ZEN");
spawnBot(SCAVENGER, 18188, 867, -2878, "COLONY.ZEN");
spawnBot(SCAVENGER, 14937, 779, -5238, "COLONY.ZEN");
spawnBot(SCAVENGER, 15970, 1009, -5498, "COLONY.ZEN");
spawnBot(SCAVENGER, 15580, 1039, -8977, "COLONY.ZEN");
spawnBot(SCAVENGER, 16132, 1028, -8283, "COLONY.ZEN");
spawnBot(SCAVENGER, 13908.9, 1086.88, -10858.8, "COLONY.ZEN");
spawnBot(SCAVENGER, 20648, 1821, -14689, "COLONY.ZEN");
spawnBot(SCAVENGER, 20740, 1803, -14639, "COLONY.ZEN");
spawnBot(SCAVENGER, 26022, 512, -7998, "COLONY.ZEN");
spawnBot(SCAVENGER, 24815, 711, -9251, "COLONY.ZEN");
spawnBot(SCAVENGER, 23365.5, 1206.29, -12944.4, "COLONY.ZEN");
spawnBot(SCAVENGER, 26319, 65, -12113, "COLONY.ZEN");
spawnBot(SCAVENGER, 25921, 298, -11937, "COLONY.ZEN");
spawnBot(SCAVENGER, 26801.2, 315.195, -10789.6, "COLONY.ZEN");
spawnBot(SCAVENGER, 28114, 170, -8409, "COLONY.ZEN");
spawnBot(SCAVENGER, 36700, -2582, -4616, "COLONY.ZEN");
spawnBot(SCAVENGER, 31723, -652, -6088, "COLONY.ZEN");
spawnBot(SCAVENGER, 30818, -804, -4865, "COLONY.ZEN");
spawnBot(SCAVENGER, 34169, -2176, -3593, "COLONY.ZEN");
spawnBot(SCAVENGER, 36187, -2499, -2051, "COLONY.ZEN");
spawnBot(SCAVENGER, 36170, -2484, -4294, "COLONY.ZEN");
spawnBot(SCAVENGER, 36200, -2597, -3374, "COLONY.ZEN");
spawnBot(SCAVENGER, 36035, -2136, -6582, "COLONY.ZEN");
spawnBot(SCAVENGER, 35725, -2028, -5980, "COLONY.ZEN");
spawnBot(SCAVENGER, 33968, -1178, -6933, "COLONY.ZEN");
spawnBot(SCAVENGER, 31129, -159, -7516, "COLONY.ZEN");
spawnBot(SCAVENGER, 32722, -1425, -4869, "COLONY.ZEN");
spawnBot(SCAVENGER, 35111, -2146, -4622, "COLONY.ZEN");
spawnBot(SCAVENGER, 25342, 1282, -15868, "COLONY.ZEN");
spawnBot(SCAVENGER, 25020, 1225, -15550, "COLONY.ZEN");
spawnBot(SCAVENGER, -41073, 387, 1190, "COLONY.ZEN");
spawnBot(SCAVENGER, 41254.4, -3799.17, -6093.98, "COLONY.ZEN");
spawnBot(SCAVENGER, 41278, -3840, -4527, "COLONY.ZEN");
spawnBot(SCAVENGER, 36600, -2723, -3437, "COLONY.ZEN");
spawnBot(SCAVENGER, 35651, -2283, -4506, "COLONY.ZEN");
spawnBot(SCAVENGER, 35343, -2337, -3711, "COLONY.ZEN");
spawnBot(SCAVENGER, -8391, -1263, 6989, "COLONY.ZEN");
spawnBot(SCAVENGER, -9426, -1195, 7245, "COLONY.ZEN");
spawnBot(SCAVENGER, -13024, -713, 9948, "COLONY.ZEN");
spawnBot(SCAVENGER, -10013, -882, 12064, "COLONY.ZEN");
spawnBot(SCAVENGER, -9419, -1081, 12340, "COLONY.ZEN");
spawnBot(SCAVENGER, -9595, -209, 14414, "COLONY.ZEN");
spawnBot(SCAVENGER, -17159, -375, 12968, "COLONY.ZEN");
spawnBot(SCAVENGER, -9904, -767, 2650, "COLONY.ZEN");
spawnBot(SCAVENGER, -11727, -893, -3649, "COLONY.ZEN");
spawnBot(SCAVENGER, -8652, -558, 10634, "COLONY.ZEN");
spawnBot(SCAVENGER, -37245, 432, 2949, "COLONY.ZEN");
spawnBot(SCAVENGER, -36304, 369, 2349, "COLONY.ZEN");
spawnBot(SCAVENGER, -39429, 409, 1275, "COLONY.ZEN");
spawnBot(SCAVENGER, -40440, 323, -874, "COLONY.ZEN");
spawnBot(SCAVENGER, -40482, 271, -1612, "COLONY.ZEN");
spawnBot(SCAVENGER, 43010, -3921, -5850, "COLONY.ZEN");
spawnBot(SCAVENGER, -35341.8, 774.871, 25026.5, "COLONY.ZEN");
spawnBot(SCAVENGER, -35736.4, 945.036, 25414.5, "COLONY.ZEN");
spawnBot(SCAVENGER, -35172.6, 426.185, 23459.8, "COLONY.ZEN");
spawnBot(SCAVENGER, -30030, -12, 24644, "COLONY.ZEN");
spawnBot(SCAVENGER, -28995, 1091, -1294, "COLONY.ZEN");
spawnBot(SCAVENGER, -30321, 1579, -923, "COLONY.ZEN");
spawnBot(SCAVENGER, -29935, 1482, -487, "COLONY.ZEN");
spawnBot(SCAVENGER, -40227, -68, -1130, "COLONY.ZEN");
spawnBot(SCAVENGER, -38285, 79, -2237, "COLONY.ZEN");
spawnBot(SCAVENGER, -36819, -3, 313, "COLONY.ZEN");
spawnBot(SCAVENGER, -40849, -73, 2758, "COLONY.ZEN");
spawnBot(SCAVENGER, -60435.5, 3531.55, 18894.5, "COLONY.ZEN");
spawnBot(SCAVENGER, -60969, 3471, 18083, "COLONY.ZEN");
spawnBot(SCAVENGER, -60848.8, 3875.68, 20440.8, "COLONY.ZEN");
spawnBot(SCAVENGER, -59412, 3525, 19818, "COLONY.ZEN");
spawnBot(SCAVENGER, -58037, 2993, 19172, "COLONY.ZEN");
spawnBot(SCAVENGER, -57838, 3590, 21304, "COLONY.ZEN");
spawnBot(SCAVENGER, -56369, 2775, 19522, "COLONY.ZEN");
spawnBot(SCAVENGER, -61881.1, 4578.76, 8052.27, "COLONY.ZEN");
spawnBot(SCAVENGER, -62168, 4833, 7462, "COLONY.ZEN");
spawnBot(SCAVENGER, -61891.3, 79.1355, 8242.3, "COLONY.ZEN");
spawnBot(SCAVENGER, -59965, 5711, 6065, "COLONY.ZEN");
spawnBot(SCAVENGER, -59124, 5894, 6120, "COLONY.ZEN");
spawnBot(SCAVENGER, -59753, 5863, 5377, "COLONY.ZEN");
spawnBot(SCAVENGER, -56859, 4954, 516, "COLONY.ZEN");
spawnBot(SCAVENGER, -56343, 5176, 1166, "COLONY.ZEN");
spawnBot(SCAVENGER, -57306, 81, 0, "COLONY.ZEN");
spawnBot(SCAVENGER, -58610, 3357, 7603, "COLONY.ZEN");
spawnBot(SCAVENGER, -57718, 3175, 20043, "COLONY.ZEN");
spawnBot(SCAVENGER, -59886, 3438, 18974, "COLONY.ZEN");
spawnBot(SCAVENGER, -42346, 383, -1252, "COLONY.ZEN");
spawnBot(SCAVENGER, -37863, 277, 1292, "COLONY.ZEN");
spawnBot(SCAVENGER, -37785, 79, -1578, "COLONY.ZEN");
spawnBot(SCAVENGER, -38150, -71, -1745, "COLONY.ZEN");
spawnBot(SCAVENGER, -38186, 250, -183, "COLONY.ZEN");
spawnBot(SCAVENGER, -39844, 263, -646, "COLONY.ZEN");
spawnBot(SCAVENGER, -40305, 296, -182, "COLONY.ZEN");
spawnBot(SCAVENGER, -38466, 339, 435, "COLONY.ZEN");
spawnBot(SCAVENGER, -41954, 299, 1907, "COLONY.ZEN");
spawnBot(SCAVENGER, -40729, 600, 2714, "COLONY.ZEN");
spawnBot(SCAVENGER, -40847, 898, 4438, "COLONY.ZEN");
spawnBot(SCAVENGER, -57595, 5816, 3947, "COLONY.ZEN");
spawnBot(SCAVENGER, -57815, 5724, 3170, "COLONY.ZEN");
spawnBot(SCAVENGER, -56742, 5748, 3546, "COLONY.ZEN");